%define name rox-clib
%define oname ROX-CLib
%define version 2.1.7
%define release %mkrel 2
%define major 6
%define libname %mklibname rox-c %major

Summary: Shared code for ROX applications
Name: %{name}
Version: %{version}
Release: %{release}
Source0: http://www.kerofin.demon.co.uk/rox/%{oname}-%{version}.tar.bz2
URL: http://www.kerofin.demon.co.uk/rox/libs.html#rox-clib2
License: GPL
Group: Graphical desktop/Other
BuildRoot: %{_tmppath}/%{name}-buildroot
BuildRequires: libgtk+2.0-devel
BuildRequires: libxml2-devel
Requires: rox

%description
A library for ROX applications written in C.

This is version 1.1, a development version leading up to 2.0 which will be
for GTK+ 2.x.

%package -n %libname
Group: System/Libraries
Summary: Shared library of ROX-Clib
Requires: %name >= %version

%description -n %libname
A library for ROX applications written in C.

This is version 1.1, a development version leading up to 2.0 which will be
for GTK+ 2.x.


%package -n %libname-devel
Group: Development/C
Summary: Headers for the rox C library
Requires: %libname = %version
Provides: librox-c-devel = %version-%release

%description -n %libname-devel
A library for ROX applications written in C.

This is version 1.1, a development version leading up to 2.0 which will be
for GTK+ 2.x.


%prep
%setup -q -n %oname
rm -rf .xvpics

%build
export CFLAGS="%optflags"
./AppRun --compile

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p %buildroot/%_libdir
cd ..
cp -r %oname %buildroot/%_libdir
rm -rf %buildroot/%_libdir/%oname/src
perl -pi -e "s/lib/%_lib/g" %buildroot/%_libdir/%oname/Linux-*/bin/rox_run
perl -pi -e "s!$RPM_BUILD_DIR/%oname/src/../!%_libdir/%oname/!"  %buildroot/%_libdir/%oname/Linux-*/lib/librox-clib.la 

%clean
rm -rf $RPM_BUILD_ROOT

%post -n %libname -p /sbin/ldconfig
%postun -n %libname -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc %_libdir/%oname/Help
%dir %_libdir/%oname
%_libdir/%oname/ROX-CLib.xml
%_libdir/%oname/App*
%_libdir/%oname/.DirIcon
%dir %_libdir/%oname/Linux*/
%_libdir/%oname/Linux*/bin
%dir %_libdir/%oname/Linux*/lib

%files -n %libname
%defattr(-,root,root)
%_libdir/%oname/Linux*/lib/librox-clib.so.%{major}*

%files -n %libname-devel
%defattr(-,root,root)
%_libdir/%oname/Linux*/lib/librox-clib.a
%_libdir/%oname/Linux*/lib/librox-clib.so
%_libdir/%oname/Linux*/lib/librox-clib.la
%_libdir/%oname/Linux*/lib/ROX-CLib.pc
%_libdir/%oname/Linux*/include

%changelog
* Thu Jul 20 2006 Götz Waschk <waschk@mandriva.org> 2.1.7-2mdk
- Rebuild

* Mon Jan  2 2006 Gtz Waschk <waschk@mandriva.org> 2.1.7-1mdk
- new major
- New release 2.1.7
- use mkrel

* Mon Oct 17 2005 Götz Waschk <waschk@mandriva.org> 2.1.5-1mdk
- New release 2.1.5

* Wed Nov 24 2004 Goetz Waschk <waschk@linux-mandrake.com> 2.1.4-1mdk
- New release 2.1.4

* Sun Sep 26 2004 Goetz Waschk <waschk@linux-mandrake.com> 2.1.3-1mdk
- New release 2.1.3

* Fri Aug  6 2004 Gtz Waschk <waschk@linux-mandrake.com> 2.1.2-1mdk
- add missing file
- New release 2.1.2

* Fri May 14 2004 Goetz Waschk <waschk@linux-mandrake.com> 2.1.1-1mdk
- New release 2.1.1

* Wed May  5 2004 Goetz Waschk <waschk@linux-mandrake.com> 2.1.0-1mdk
- New release 2.1.0

* Sat Jan 17 2004 Gtz Waschk <waschk@linux-mandrake.com> 2.0.0-1mdk
- new version

* Thu Oct 23 2003 Gtz Waschk <waschk@linux-mandrake.com> 1.1.3-1mdk
- new version

* Thu Oct  9 2003 Gtz Waschk <waschk@linux-mandrake.com> 1.1.2-1mdk
- lib64 fix
- new version

* Mon Jul 14 2003 Gtz Waschk <waschk@linux-mandrake.com> 1.1.1-2mdk
- fix buildrequires

* Mon Jul 14 2003 Gtz Waschk <waschk@linux-mandrake.com> 1.1.1-1mdk
- initial package
